;; Copyright 2015, 2017, 2019 Kevin Ryde   -*- coding: latin-1 -*-

;; This file is part of gp-inline.
;;
;; gp-inline is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by the
;; Free Software Foundation; either version 3, or (at your option) any later
;; version.
;;
;; gp-inline is distributed in the hope that it will be useful, but WITHOUT
;; ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
;; FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
;; more details.
;;
;; You should have received a copy of the GNU General Public License along
;; with gp-inline; see the file COPYING.  Failing that, go to
;; <http://www.gnu.org/licenses/>.

(load (expand-file-name "../gp-inline.el"))


;;-----------------
;; compile

(progn
  (add-to-list 'load-path (expand-file-name "."))
  (require 'my-byte-compile)
  (my-byte-compile))
(progn
  (add-to-list 'load-path (expand-file-name "."))
  (require 'my-byte-compile)
  (my-show-autoloads))



;;-----------------------------------------------------------------------------
(gp-inline-prefix-regexp)
(gp-inline-expression-at-point)
;; 4
;; 3+ \
;; 3+ \
;; 3+ \
;; 1+2
  ;;   GP-Test  1+2
;; =for GP-Test  1+2
=for GP-Test  1+2
 GP-Test  1+2
  1+2

% apply
%o a(n) = 123;
%o (PARI) a(n) = 99;

%o (PARI) a(n) = x \
%o             + y;

;;-----------------------------------------------------------------------------
(progn
  (switch-to-buffer "xx")
  (comment-normalize-vars t))
